Class | Bio::Map::SimpleMap
In: | lib/bio/map.rb
Parent: | Object

## Description

This class handles the essential storage of name, type and units of a map. It includes Bio::Map::ActsLikeMap, and therefore supports the methods of that module.

## Usage

      my_map1 = Bio::Map::SimpleMap.new('RH_map_ABC (2006)', 'RH', 'cR')
      my_map1.add_marker(Bio::Map::Marker.new('marker_a', '17')
      my_map1.add_marker(Bio::Map::Marker.new('marker_b', '5')

### Methods

new

### Included Modules

Bio::Map::ActsLikeMap

### Attributes

length | [RW] | Length of the map
mappings_as_map | [RW] | Mappings
name | [RW] | Name of the map
type | [RW] | Type of the map
units | [RW] | Units of the map

### Public Class methods

new(name = nil, type = nil, length = nil, units = nil)

Builds a new Bio::Map::SimpleMap object

Arguments:

- name: name of the map
- type: type of the map (e.g. linkage, radiation_hybrid, cytogenetic, …)
- units: unit of the map (e.g. cM, cR, …)

Returns: | new Bio::Map::SimpleMap object

[Source]

         # File lib/bio/map.rb, line 353
    353:       def initialize (name = nil, type = nil, length = nil, units = nil)
    354:         @name, @type, @length, @units = name, type, length, units
    355:         @mappings_as_map = Array.new
    356:       end

[Validate]